ANNIE1-MRD-design - Task #8618

Sign over stewardship of the MRD steel
05/05/2015 03:37 PM - Matthew Wetstein

Status: New Start date: 05/05/2015
Priority: Normal Due date: 06/01/2015
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Contact: Imperial

History

#1 - 05/05/2015 03:38 PM - Matthew Wetstein
- Project changed from ANNIE1-Planning to ANNIE1-MRD-design

#2 - 05/27/2015 07:55 AM - Matthew Wetstein
- % Done changed from 0 to 40

#3 - 06/05/2015 06:39 AM - Matthew Wetstein
- % Done changed from 40 to 100
